import request from '@/utils/request'

// 登录方法
export function login(username, password, code, uuid) {
  const data = {
    username,
    password,
    code,
    uuid
  }
  return request({
    url: '/smartArchives/login',
    headers: {
      isToken: false,
      repeatSubmit: false,
      skipReplayProtection: true
    },
    method: 'post',
    data: data
  })
}

// 注册方法
export function register(data) {
  return request({
    url: '/smartArchives/register',
    headers: {
      isToken: false,
      skipReplayProtection: true
    },
    method: 'post',
    data: data
  })
}

// 获取用户详细信息
export function getInfo() {
  return request({
    url: '/smartArchives/getInfo',
    headers: {
      skipReplayProtection: true
    },
    method: 'get'
  })
}

// 退出方法
export function logout() {
  return request({
    url: '/smartArchives/logout',
    headers: {
      skipReplayProtection: true
    },
    method: 'post'
  })
}

// 获取验证码
export function getCodeImg() {
  return request({
    url: '/smartArchives/captchaImage',
    headers: {
      isToken: false,
      skipReplayProtection: true
    },
    method: 'get',
    timeout: 20000
  })
}